# Add-RASMFAUsers.md

## NAME

Add-RASMFAUsers

## SYNOPSIS

Import MFA TOTP/EmailOTP users from a CSV file.

## SYNTAX

**Add-RASMFAUsers** -[FilePath](#filepath-string) *(string)* \[[MFAId](#mfaid-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[-[Type](#Type) {GAuthTOTP | TOTP | MicrosoftTOTP | EmailOTP}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Import MFA TOTP/EmailOTP users from a CSV file.

## PARAMETERS

## FilePath (string)

File path to CSV containing user and secret.

Must be in the format "user,secret".

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in where the users will be imported.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MFAId (uint)

The ID of the MFA Provider to be modified.

In case of TOTP Provider, the ID will always be 0. Default: 0.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Type ([MFAUsersType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfauserstype.md))

The MFA Provider Type to be modified.

If the parameter is omitted, the site ID of the Licensing Server will be used.

Possible values: GAuthTOTP, TOTP, MicrosoftTOTP, EmailOTP

```
        Required?                    false

        Position?                    named

        Default value                TOTP

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASMFAUsers -FilePath "users.csv" -Type TOTP

Imports MFA TOTP users from file. Operation is done on licensing site.\
\*\*---------- EXAMPLE 2 ----------

Add-RASMFAUsers -FilePath "users.csv" -Type EmailOTP -MFAId 1

Imports MFA EmailOTP users from file in MFA with Id 1.\
\*\*---------- EXAMPLE 3 ----------

Add-RASMFAUsers -FilePath "users.csv" -SiteId 2 -Type TOTP

Imports MFA TOTP users from file. Operation is done on site 2.

## RELATED LINKS

* [Find-RASMFAUsers](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/find-rasmfausers.md)
* [Reset-RASMFAUsers](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/reset-rasmfausers.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasmfausers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
